#!/usr/bin/env sh
# Check if cluster directory was available from cache

set -ve

if [ -d clusters/$HOSTNAME/secrets ]
then
  ip_address=$(python -m openappstack ${HOSTNAME} info --ip-address)
  echo "Running python script"
  # Run a python script that checks if the cached machine still exists. The
  # script exits with 0 (true) if the machine can be reused
  if python3 $(dirname "$0")/can_reuse_machine.py $HOSTNAME $ip_address
  then
    echo "Will reuse machine with hostname '$HOSTNAME' and ip address '$ip_address'"
    exit 0
  fi
fi
# Delete old machine if it still exists
echo "Deleting old machine"
python3 -c "import greenhost_cloud; greenhost_cloud.terminate_droplets_by_name(\"^${HOSTNAME}$\")"
echo "Creating new machine"
python3 -m openappstack $HOSTNAME create \
  --acme-staging \
  --local-flux \
  --create-droplet $DOMAIN \
  --create-hostname $HOSTNAME \
  --ssh-key-id $SSH_KEY_ID \
  --create-domain-records \
  --subdomain $SUBDOMAIN \
  --truncate-subdomain
