# Changelog

## [0.3.1] - 2020-03-18

* Repair rocket chat installation
* Rocket Chat supports e2e encryption by default
* Upgrade Nextcloud chart version
* Single Sign-on related Jobs are now cleaned up after a successful installation

Known issues:

* Same as 0.3.0

## [0.3.0] - 2020-01-20

* Release candidate for beta tests
* Added features:
  * Single Sign on system at sso.oas.example.org
  * User panel at admin.oas.example.org
  * Rocket.chat version 2.1.1 at chat.oas.yourdomain
  * Use Flux instead of Helmfile to install and update applications
    * Flux version 1.16.0 and helm-operator version 1.0.0-rc4
  * WordPress at www.oas.example.org from https://code.greenhost.net/open/wordpress-helm
* Application updates:
  - cert-manager 0.11.0
  - prometheus-operator 0.34.0
  - nginx 0.26.1
  - nextcloud 16.0.1
  - onlyoffice 5.4.1-2
  - rke 0.3.2
  - kubernetes 1.15.5
* Fix many many bugs

Known issues:

* There are some [initial prometheus alerts](https://open.greenhost.net/openappstack/openappstack/issues/286)
  after a fresh OAS installation
* [Prometheus web interface is publicly available](https://open.greenhost.net/openappstack/openappstack/issues/294)
* Single sign-on has some issues:

  * Rocket.chat SSO does not work out of the box (see docs for setup
    instructions)
  * WordPress and Grafana SSO do not give admin permissions to users with the
    "admin" enabled in the user-panel
  * Nextcloud requires email (SMTP) to be set up before you log in with new
    users using SSO

  These issues will be addressed in the next version.

## [0.2.1] - 2019-10-29

This is the release for the second user test.

Fixes:
* [#354](https://open.greenhost.net/openappstack/openappstack/issues/354) Nextcloud timeout during helmchart install
* [#305](https://open.greenhost.net/openappstack/openappstack/issues/305) Use prometheus default securitycontext
* [#351](https://open.greenhost.net/openappstack/openappstack/issues/351) Prometheus installation cannot be repeated
* [#349](https://open.greenhost.net/openappstack/openappstack/issues/349) Improve test instructions
* [#350](https://open.greenhost.net/openappstack/openappstack/issues/350) Increase nextcloud livenessprobe's leniency
* [#346](https://open.greenhost.net/openappstack/openappstack/issues/346) Creating cluster fails if the hostname is oas-dev
* [#319](https://open.greenhost.net/openappstack/openappstack/issues/319) kube_config_cluster.yml should be copied to local machine earlier

## [0.2.0] - 2019-10-22

* Release candidate for second user test
* Added features:
  * Use onlyoffice image with support for unlimited connections
  * Make local-storage work with subpath mounted PVs
  * Logrotate OAS logs
  * Rewrite and improve OAS installation script
  * Include and update documentation in this repo
  * Allow custom rke config options
  * Update to rke 0.2.7
  * Update k8s to v1.14.3-rancher1-1
  * Update cert-manager to v0.9.1
  * Pin helm to 2.14.3
  * Fix nextcloud issues from user feedback
  * Fix and improve CI tests and pipeline

Known issues:

* There are some [initial prometheus alerts](https://open.greenhost.net/openappstack/openappstack/issues/286)
  after a fresh OAS installation
* [Prometheus web interface is publicly available](https://open.greenhost.net/openappstack/openappstack/issues/294)

## [0.1.0] - 2019-07-31

This is the version for the alpha test.
